%define modname lxml
%define pyver %(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")

Name:           python-%{modname}
URL:            http://codespeak.net/lxml/
Summary:        A Pythonic binding for the libxml2 and libxslt libraries
Version:        2.2.6
Release:        %mkrel 1
License:        BSD
Group:          Development/Python
Source:         http://pypi.python.org/packages/source/l/lxml/%{modname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
%py_requires -d
BuildRequires:  libxml2-devel libxslt-devel python-pyrex

%description
lxml is a Pythonic binding for the libxml2 and libxslt libraries. It follows
the ElementTree API as much as possible, building it on top of the native
libxml2 tree. It also extends this API to expose libxml2 and libxslt specific
functionality, such as XPath, Relax NG, XML Schema, XSLT, and c14n.

%prep
%setup -q -n %{modname}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
%{__python} setup.py build

export PYTHONPATH="$RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages"

%install
# -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
%{__python} setup.py install --root=$RPM_BUILD_ROOT

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc doc CHANGES.txt CREDITS.txt LICENSES.txt README.txt TODO.txt
%py_platsitedir/lxml*




%changelog
* Mon Mar 08 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.2.6-1mdv2010.1
+ Revision: 515905
- update to 2.2.6

* Sun Jan 03 2010 Emmanuel Andry <eandry@mandriva.org> 2.2.4-1mdv2010.1
+ Revision: 485956
- New version 2.2.4

* Sat Jul 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.2-1mdv2010.0
+ Revision: 397066
- update to new version 2.2.2

* Tue Jun 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.1-1mdv2010.0
+ Revision: 384252
- update to new version 2.2.1

* Sun Jan 11 2009 Funda Wang <fwang@mandriva.org> 2.1.5-1mdv2009.1
+ Revision: 328231
- 2.1.5

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 2.1.4-1mdv2009.1
+ Revision: 324272
- New upstream release

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 2.1.2-2mdv2009.1
+ Revision: 318984
- rebuild for new python

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.2-1mdv2009.1
+ Revision: 305841
- update to new version 2.1.2

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 2.1.1-1mdv2009.0
+ Revision: 280559
- New release

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.3.2-2mdv2009.0
+ Revision: 225134
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.3.2-1mdv2008.1
+ Revision: 136450
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Jérôme Soyer <saispo@mandriva.org> 1.3.2-1mdv2008.0
+ Revision: 64972
- New version 1.3.2


* Tue Dec 12 2006 Götz Waschk <waschk@mandriva.org> 0.9.1-4mdv2007.0
+ Revision: 95235
- this can't be noarch

* Wed Dec 06 2006 Jérôme Soyer <saispo@mandriva.org> 0.9.1-3mdv2007.1
+ Revision: 91594
- Fix build errors
- Rebuild with the new python
- Import python-lxml

* Tue Apr 11 2006 Jerome Soyer <saispo@mandriva.org> 0.9.1-2mdk
- Fix Requires

* Tue Apr 11 2006 Jerome Soyer <saispo@mandriva.org> 0.9.1-1mdk
- Initial release

